# get current date and time
DATE = $(shell date "+%Y%m%d")
ZIPDATE = $(shell date "+%Y-%m-%d")

# floppy disk auto-mount point
FLOPPY = /Volumes/GEN/

# emulator settings
EMUDIR = ~/src/mess
EMU = messpm
EMUFLAGS = gen_usa -window -keepaspect -skip_gameinfo -skip_warnings -switchres -nofullstretch -cart

# build utility settings
# Note that HOSTCC is for your own utilities that need to
# be compiled as part of the build process.
HOSTCC = gcc
CPPFLAGS = -I ${MDSDK}
CFLAGS = -m68000 -Os -Wall -Werror -fomit-frame-pointer
CROSS = m68k-elf
CC = $(CROSS)-gcc
LD = $(CROSS)-ld
OBJCOPY = $(CROSS)-objcopy
OBJDUMP = $(CROSS)-objdump
LDFLAGS = -Wl,-T,$(MDSDK)/rom.lnk,-Map,$(NAME).map
MAKESMD = ucon64 --gen --mgd --nbak --chk -q
EJECT = diskutil eject ${FLOPPY}

# implicit default rule from gnu make:
#.c.o:
#	$(CC)-c  $(CFLAGS) $(CPPFLAGS) -o $@ $<
